commit:     b0fad73eb114fc068b16c76db8ee6f243378ac79
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 10 21:49:28 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Aug 10 22:19:19 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0fad73e

www-apps/selfoss: bump to 2.20_pre20230730

Closes: https://bugs.gentoo.org/911337
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 www-apps/selfoss/Manifest                        |  1 +
 www-apps/selfoss/selfoss-2.20_pre20230730.ebuild | 51 ++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/www-apps/selfoss/Manifest b/www-apps/selfoss/Manifest
index 7d52741b4161..b67db2531641 100644
--- a/www-apps/selfoss/Manifest
+++ b/www-apps/selfoss/Manifest
@@ -1 +1,2 @@
 DIST selfoss-2.19.zip 5837647 BLAKE2B 
0921d938a8c85c2d610fbbf371ab46c7b233d55e7db2531a7745f23920028878ac3f85c10d58bcd48da55e6efab367aa55889373260d8af36414747272f5a97e
 SHA512 
d9b751e1d3725e4fc44353c579f6a8033c0802e0697627fd6e20adaf31a49f38ab485d6ea27bbcb645f48cc9de6db2bd451fe900f48f48e5e602171c2a71d634
+DIST selfoss-2.20-cdc7f3e.zip 4569979 BLAKE2B 
5c8eb3307373cf5a7f35dd3ab68db9f84122752da2b78e29c99a61c75dc2e79b9c07b5eacf4461de56d55699b0a774217ebd218b5a0f4f2779d045c754cf2ad6
 SHA512 
1105c7c3b52d6d5bf6a1ef186e8fb3e0baf144ccd911541fd677d78ec2de110a899d53e04750fd27f0a8d791786b3925bf52bb0a45011b5c5e7f5b81443fe786

diff --git a/www-apps/selfoss/selfoss-2.20_pre20230730.ebuild 
b/www-apps/selfoss/selfoss-2.20_pre20230730.ebuild
new file mode 100644
index 000000000000..9e579e3500c0
--- /dev/null
+++ b/www-apps/selfoss/selfoss-2.20_pre20230730.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit readme.gentoo-r1 webapp
+
+DESCRIPTION="The multipurpose rss reader, live stream, mashup, aggregation web 
application"
+HOMEPAGE="https://selfoss.aditu.de/";
+SRC_URI="https://dl.cloudsmith.io/public/fossar/${PN}-git/raw/names/${PN}.zip/versions/2.20-cdc7f3e/${PN}-2.20-cdc7f3e.zip";
+S="${WORKDIR}"/${PN}
+
+LICENSE="GPL-3+"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND="app-arch/unzip"
+RDEPEND="
+       dev-lang/php[curl,gd]
+       virtual/httpd-php
+       || (
+               dev-db/mysql
+               dev-db/postgresql
+               dev-db/sqlite
+       )
+"
+
+DOC_CONTENTS="Default selfoss config is installed as defaults.ini,
+copy that config to config.ini and customize as you wish."
+
+pkg_setup() {
+       webapp_pkg_setup
+}
+
+src_install() {
+       webapp_src_preinst
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/public
+       webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+       webapp_src_install
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

Reply via email to